# DataExchange
TKIGES
IGESSelect

# IGESSelect_SelectFaces Class Reference

This selection returns the faces contained in an IGES Entity
or itself if it is a Face
Face means :
- Face (510) of a ManifoldSolidBrep
- TrimmedSurface (144)
- BoundedSurface (143)
- Plane with a Bounding Curve (108, form not 0)
- Also, any Surface which is not in a TrimmedSurface, a
BoundedSurface, or a Face (FREE Surface)
-> i.e. a Face for which Natural Bounds will be considered
.

`#include <IGESSelect_SelectFaces.hxx>`

Inheritance diagram for IGESSelect_SelectFaces:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_SelectFaces ()
Standard_EXPORT Standard_Boolean | Explore (const Standard_Integer level, const Handle(Standard_Transient)&ent, const Interface_Graph &G, Interface_EntityIterator &explored) const
| Explores an entity, to take its faces Works recursively .
Standard_EXPORT TCollection_AsciiString | ExploreLabel () const
| Returns a text defining the criterium : "Faces" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SelectFaces::IGESSelect_SelectFaces | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean IGESSelect_SelectFaces::Explore | ( | const Standard_Integer | level,
|  | const Handle(Standard_Transient)& | ent,
|  | const Interface_Graph & | G,
|  | Interface_EntityIterator & | explored
| ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT TCollection_AsciiString IGESSelect_SelectFaces::ExploreLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExplore.

Standard_EXPORT const IGESSelect_SelectFaces::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExplore.

The documentation for this class was generated from the following file:

- IGESSelect_SelectFaces.hxx